package de.fraunhofer.iem.dataprovider.taskManager.tasks.tools.sarif.json

import de.fraunhofer.iem.dataprovider.tool.entity.ToolEntity
import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
data class SarifToolJson(
    @SerialName("driver")
    val driver: SarifDriverJson
)

fun SarifToolJson.asDbObject(): ToolEntity {
    val toolEntity = ToolEntity()
    toolEntity.name = this.driver.name
    toolEntity.version = this.driver.version
    return toolEntity
}
