package de.fraunhofer.iem.dataprovider.tool.dto

import de.fraunhofer.iem.dataprovider.tool.entity.ToolEntity

data class CreateToolDto(val name: String, val fullName: String, val version: String) {
    fun asDbObject(): ToolEntity {
        val toolEntity = ToolEntity()
        toolEntity.name = this.name
        toolEntity.version = this.version
        return toolEntity
    }
}
